Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.widget
Interface ClsWidget

All Superinterfaces:
  Disposable, Plugin, Selectable, Widget

All Known Implementing Classes:
  AbstractClsWidget, FormWidget, UglyClsWidget

    public interface ClsWidget

extends Widget

The interface for display forms that display the contents of an entire class and all the contents to be edited.

Author:
  Ray Fergerson

Method Summary
`void` | `addWidgetListener(WidgetListener listener)`
`Cls` | `getAssociatedCls()`
`Cls` | `getCls()`
`Instance` | `getInstance()`
`SlotWidget` | `getSlotWidget(Slot slot)`
`void` | `layoutLikeCls(Cls cls)`
`void` | `relayout()`
`void` | `removeCustomizations()`
`void` | `removeWidgetListener(WidgetListener listener)`
`void` | `replaceWidget(Slot slot, String className)`
`void` | `setAssociatedCls(Cls associatedCls)`
`void` | `setInstance(Instance instance)`
`void` | `setup(WidgetDescriptor descriptor, boolean isDesignTime, Project project, Cls cls)`

Methods inherited from interface edu.stanford.smi.protege.widget.Widget
`configure, getDescriptor, getKnowledgeBase, getLabel, getProject, initialize, setLabel`

Methods inherited from interface edu.stanford.smi.protege.util.Selectable
`addSelectionListener, clearSelection, getSelection, notifySelectionListeners, removeSelectionListener`

Methods inherited from interface edu.stanford.smi.protege.plugin.Plugin
`getName`

Methods inherited from interface edu.stanford.smi.protege.util.Disposable
`dispose`

Method Detail

### getCls

    Cls getCls()

### getInstance

    Instance getInstance()

### getSlotWidget

    SlotWidget getSlotWidget(Slot slot)

### replaceWidget

    void replaceWidget(Slot slot,
                       String className)

### layoutLikeCls

    void layoutLikeCls(Cls cls)

### relayout

    void relayout()

### removeCustomizations

    void removeCustomizations()

### getAssociatedCls

    Cls getAssociatedCls()

### setAssociatedCls

    void setAssociatedCls(Cls associatedCls)

### setInstance

    void setInstance(Instance instance)

### setup

    void setup(WidgetDescriptor descriptor,
               boolean isDesignTime,
               Project project,
               Cls cls)

### addWidgetListener

    void addWidgetListener(WidgetListener listener)

### removeWidgetListener

    void removeWidgetListener(WidgetListener listener)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.